## pg-stat-kcache 2.3.1

=== Makefile ===
EXTENSION    = pg_stat_kcache
EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test

PG_CONFIG ?= pg_config

MODULE_big = pg_stat_kcache
OBJS = pg_stat_kcache.o

all:

release-zip: all
	git archive --format zip --prefix=pg_stat_kcache-${EXTVERSION}/ --output ./pg_stat_kcache-${EXTVERSION}.zip HEAD
	unzip ./pg_stat_kcache-$(EXTVERSION).zip
	rm ./pg_stat_kcache-$(EXTVERSION).zip
	rm ./pg_stat_kcache-$(EXTVERSION)/.gitignore
	sed -i -e "s/__VERSION__/$(EXTVERSION)/g"  ./pg_stat_kcache-$(EXTVERSION)/META.json
	zip -r ./pg_stat_kcache-$(EXTVERSION).zip ./pg_stat_kcache-$(EXTVERSION)/
	rm ./pg_stat_kcache-$(EXTVERSION) -rf


DATA = $(wildcard *--*.sql)
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## pg-stat-kcache 2.2.0

=== debian/changelog ===
pg-stat-kcache (2.2.0-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 15:44:51 +0200

pg-stat-kcache (2.2.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 15:44:51 +0200

pg-stat-kcache (2.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Wed, 09 Dec 2020 22:01:38 +0800

pg-stat-kcache (2.1.3-2) unstable; urgency=medium

  * Team upload for PostgreSQL 13.
  * Source format 3.0 (quilt).
  * Use dh --with pgxs_loop.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 11:49:40 +0200

pg-stat-kcache (2.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Thu, 16 Jul 2020 15:12:23 +0000

pg-stat-kcache (2.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Wed, 08 Jul 2020 16:12:51 +0000

pg-stat-kcache (2.1.1-3) unstable; urgency=medium

  * Team upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 13:48:37 +0100

pg-stat-kcache (2.1.1-2) unstable; urgency=medium

  * Team upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 13:17:38 +0200

pg-stat-kcache (2.1.1-1) unstable; urgency=low

  * Initial release.

 -- Julien Rouhaud <rjuju123@gmail.com>  Sun, 22 Jul 2018 19:19:36 +0100

=== debian/control ===
Source: pg-stat-kcache
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://github.com/powa-team/pg_stat_kcache
Vcs-Git: https://github.com/powa-team/pg_stat_kcache.git

Package: postgresql-9.6-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6,
 postgresql-contrib-9.6
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-10-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10,
 postgresql-contrib-10
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-11-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11,
 postgresql-contrib-11
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-12-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12,
 postgresql-contrib-12
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-13-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13,
 postgresql-contrib-13
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-14-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14,
 postgresql-contrib-14
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

=== debian/tests/control ===
Depends: @, postgresql-contrib-9.6, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, make
Tests: installcheck
Restrictions: allow-stderr

## pg-stat-kcache 2.2.1

=== debian/changelog ===
pg-stat-kcache (2.2.1-2) unstable; urgency=medium

  * Team upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 11:03:01 +0200

pg-stat-kcache (2.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Mon, 16 May 2022 14:03:03 +0800

=== debian/control ===
Source: pg-stat-kcache
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://github.com/powa-team/pg_stat_kcache
Vcs-Git: https://github.com/powa-team/pg_stat_kcache.git

Package: postgresql-15-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15,
 postgresql-contrib-15
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

## pg-stat-kcache 2.2.2

=== debian/changelog ===
pg-stat-kcache (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version with PG16 support.

 -- Christoph Berg <myon@debian.org>  Wed, 02 Aug 2023 16:10:59 +0200

## pg-stat-kcache 2.2.3

=== debian/changelog ===
pg-stat-kcache (2.2.3-1.pgdg+2) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 24 Jan 2024 17:29:41 +0800

pg-stat-kcache (2.2.3-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Wed, 24 Jan 2024 17:29:41 +0800

pg-stat-kcache (2.2.2-2) unstable; urgency=medium

  * Team upload.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 21:02:35 +0200

=== debian/control ===
Source: pg-stat-kcache
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://github.com/powa-team/pg_stat_kcache
Vcs-Git: https://github.com/powa-team/pg_stat_kcache.git

Package: postgresql-10-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
 postgresql-contrib-10
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-11-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
 postgresql-contrib-11
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-12-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
 postgresql-contrib-12
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-13-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
 postgresql-contrib-13
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-14-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
 postgresql-contrib-14
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-15-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
 postgresql-contrib-15
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-16-pg-stat-kcache
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
 postgresql-contrib-16
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

=== debian/tests/control ===
Depends: @, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, postgresql-contrib-15, postgresql-contrib-16, make
Tests: installcheck
Restrictions: allow-stderr

## pg-stat-kcache 2.3.0

=== debian/changelog ===
pg-stat-kcache (2.3.0-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 17 Sep 2024 11:31:55 +0200

pg-stat-kcache (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 11:31:55 +0200

pg-stat-kcache (2.2.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Move packaging repo to salsa.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 18:06:54 +0200

=== debian/tests/control ===
Depends: @, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, postgresql-contrib-15, postgresql-contrib-16, postgresql-contrib-17, make
Tests: installcheck
Restrictions: allow-stderr

## pg-stat-kcache 2.3.1

=== debian/changelog ===
pg-stat-kcache (2.3.1-1.pgdg13+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 08 Oct 2025 16:59:42 +0200

pg-stat-kcache (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1.
  * Upload for PostgreSQL 18. (Closes: #1117292)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:59:42 +0200

=== debian/control ===
Source: pg-stat-kcache
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://salsa.debian.org/postgresql/pg-stat-kcache
Vcs-Git: https://salsa.debian.org/postgresql/pg-stat-kcache.git

Package: postgresql-10-pg-stat-kcache
Architecture: any
Depends:
 postgresql-contrib-10,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-11-pg-stat-kcache
Architecture: any
Depends:
 postgresql-contrib-11,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-12-pg-stat-kcache
Architecture: any
Depends:
 postgresql-contrib-12,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-13-pg-stat-kcache
Architecture: any
Depends:
 postgresql-contrib-13,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-14-pg-stat-kcache
Architecture: any
Depends:
 postgresql-contrib-14,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-15-pg-stat-kcache
Architecture: any
Depends:
 postgresql-contrib-15,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-16-pg-stat-kcache
Architecture: any
Depends:
 postgresql-contrib-16,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-17-pg-stat-kcache
Architecture: any
Depends:
 postgresql-contrib-17,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.

Package: postgresql-18-pg-stat-kcache
Architecture: any
Depends:
 postgresql-contrib-18,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension to gather per-query kernel statistics.
 Statistics gathered are reads and writes done out of the operating system
 cache, user and system CPU usage, context switches and all the other
 meaningful metrics returned by getrusage(2).  All those counters are
 aggregated per postgres role, database and normalized query identifier.
